<?php
/* ------------------------------------------------------------------------- *
 *  Dynamic styles
/* ------------------------------------------------------------------------- */

if (!function_exists('magnine_get_inline_css')) :
    /**
     * Outputs theme custom CSS.
     *
     * @since 1.0.0
     */
    function magnine_get_inline_css()
    {
        $defaults = magnine_get_all_customizer_default_values();
        $background_color = get_theme_mod('background_color');

        $magnine_site_logo_height = magnine_get_option('magnine_site_logo_height');

        ob_start();
        ?>
        <?php if (!empty($background_color) && $background_color != 'ffffff') :
        ?>
        :root {
        --wpi--base-bg-color: #<?php echo esc_attr($background_color); ?>;
        }
    <?php endif; ?>

        <?php if ($magnine_site_logo_height !== $defaults['magnine_site_logo_height']) : ?>
        .site-logo img {
        height:<?php echo absint($magnine_site_logo_height); ?>px;
        }
    <?php endif; ?>
        <?php
        return ob_get_clean();
    }
endif;
